DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# AddFloat

arithmetic function

## SYNOPSIS

`#include "dip_math.h"`

dip_Error dip_AddFloat ( in, out, constant )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

This function computes `out` = `in` + `constant` on a pixel by pixel basis. The data types of the `in1` image and `constant` may be of different types. See Information about dyadic operations for more information about what the type of the output will be.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_float` | `constant` | Constant
`dip_Image` | `out` | Output

## SEE ALSO

`Add`, `AddComplex`, `Sub`, `SubFloat`, `SubComplex`, `Mul`, `MulFloat`, `MulComplex`, `Div`, `DivFloat`, `DivComplex`

DIPlib on-line documentation | Function reference | Global function index